### Method

# FwupdPlugin Device set_id

since: 0.7.1

#### Declaration [src]

    void
    fu_device_set_id (
      FuDevice* self,
      const gchar* id
    )

#### Description [src]

Sets the ID on the device. The ID should represent the connection of the device, so that any similar device plugged into a different slot will have a different `id` string.

The `id` will be converted to a SHA1 hash if required before the device is added to the daemon, and plugins should not assume that the ID that is set here is the same as what is returned by fu_device_get_id().

Available since: 0.7.1

#### Parameters

`id`

  Type: `const gchar*`

  A string, e.g. `tbt-port1`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.